Bug 837464 - "warning: already initialized constant TAR_BIN" shows when execute rhc command on Mac OSX
"warning: already initialized constant TAR_BIN" shows when execute rhc comman...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Fabiano Franz
libra bugs
: Regression, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-03 22:51 EDT by Meng Bo
Modified: 2015-05-14 21:59 EDT (History)
2 users (show)

See Also:
Fixed In Version: rhc-0.95.9-1+
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-13 19:43:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Meng Bo 2012-07-03 22:51:51 EDT
Description of problem:
Install latest rhc client, run any rhc command, like rhc domain show,
warning message will show up 
/Library/Ruby/Gems/1.8/gems/rhc-0.95.7/lib/rhc/targz.rb:7: warning: already initialized constant TAR_BIN


Version-Release number of selected component (if applicable):
rhc-0.95.7

How reproducible:
always

Steps to Reproduce:
1.install rhc client
gem install rhc
2.run rhc command
rhc domain show
3.
  
Actual results:
unexpected warning message "/Library/Ruby/Gems/1.8/gems/rhc-0.95.7/lib/rhc/targz.rb:7: warning: already initialized constant TAR_BIN" appears.

Expected results:
should not have such warning.

Additional info:
it is ok on rhc-0.95.4.
it is ok on Linux and Windows.
Comment 1 Xiaoli Tian 2012-07-06 06:04:22 EDT
The warning message Looks ugly, raise its severity.
Comment 2 Fabiano Franz 2012-07-09 16:49:38 EDT
Fixed.
Comment 3 Meng Bo 2012-07-10 01:14:06 EDT
Verified on rhc-0.95.11, warning message is gone.

Note You need to log in before you can comment on or make changes to this bug.